LAST(1)

NAME
last, uptime - display recent on-line session records, show uptime

SYNOPSIS
last [-f file] [-r] [-n] [name] [tty] ...
uptime

OPTIONS

-f  # Use file instead of /usr/adm/wtmp

-r  # Search backwards only to last reboot

-u  # Print uptime since last reboot

-n  # Print a maximum of n lines

EXAMPLES

last reboot
    # When was the system last rebooted?

last ast
    # When was the last login for ast?

last -10 tty00 tty01
    # Display last 10 logins on tty00 or tty01

uptime
    # Display uptime (likewise last -u)

DESCRIPTION

Last Searches backward through the login administration file (default is /usr/adm/wtmp), printing information about previous logins and reboots. During a long search, the SIGQUIT signal (CTRL-\) causes last to display how far back it has gone; it then continues.

Uptime, an alias for last -u, displays the time the system is running since the last reboot.

SEE ALSO
who(1), utmp(5).